Index: trunk/web/install/mods/e_install.php
===================================================================
--- trunk/web/install/mods/e_install.php	(revision 10)
+++ trunk/web/install/mods/e_install.php	(revision 1)
@@ -123,34 +123,21 @@
 
   function install_db($env)
-  { $flag = 0;
-    try
-    { $env->data->sql->query("USE ".$_POST["db_base"]);
-      if(($sql = file_get_contents("dist/sql/init.sql")) !== false)
-      { $flag = 1;
-        if($sql) try
-        { $flag = 2;
-          $env->data->sql->query($sql);
-          $flag = 3;
+  { try
+    { if(($sql = file_get_contents("dist/sql/init.sql")) !== false)
+      { if($sql) try
+        { $env->data->sql->query($sql);
           if(($sql = file_get_contents("dist/sql/raz.sql")) !== false)
-          { $flag = 4;
-            if($sql) try
-            { $flag = 5;
-              $sql = str_replace("[prefix]", $_POST["db_prefix"], $sql);
+          { if($sql) try
+            { $sql = str_replace("[prefix]", $_POST["db_prefix"], $sql);
               $v_sql = explode("# --", $sql);
               foreach($v_sql as $_sql) if($_sql) $env->data->sql->query($_sql);
-              $flag = 6;
               if(($sql = file_get_contents("dist/sql/tables.sql")) !== false)
-              { $flag = 7;
-                if($sql) try
-                { $flag = 8;
-                  $sql = str_replace("[prefix]", $_POST["db_prefix"], $sql);
+              { if($sql) try
+                { $sql = str_replace("[prefix]", $_POST["db_prefix"], $sql);
                   $v_sql = explode("# --", $sql);
                   foreach($v_sql as $_sql) if($_sql) $env->data->sql->query($_sql);
-                  $flag = 9;
                   if(($sql = file_get_contents("dist/sql/content.sql")) !== false)
-                  { $flag = 10;
-                    if($sql) try
-                    { $flag = 11;
-                      $punbb_url = "http://".$_SERVER["SERVER_NAME"];
+                  { if($sql) try
+                    { $punbb_url = "http://".$_SERVER["SERVER_NAME"];
                       $v_path = explode("/", $_SERVER["SCRIPT_NAME"]);
                       $path = "";
@@ -174,5 +161,4 @@
                       $v_sql = explode("# --", $sql);
                       foreach($v_sql as $_sql) if($_sql) $env->data->sql->query($_sql);
-                      $flag = 12;
                     }
                     catch(Exception $_e)
@@ -187,10 +173,5 @@
                   ."<br/>v&eacute;rifiez que vous avez bien upload&eacute; tous les fichiers";
                 }
-                catch(Exception $_e)
-                { $env->message =
-                   "Impossible d'executer les requetes du fichier tables.sql"
-                  ."<br/>erreur dans la requete sql:<br/>".$_sql;
-                  return;
-                }
+                catch(Exception $_e) { $env->message = "Impossible d'executer les requetes du fichier tables.sql"; return; }
               }
               else $env->message .=
@@ -204,10 +185,5 @@
           ."<br/>v&eacute;rifiez que vous avez bien upload&eacute; tous les fichiers";
         }
-        catch(Exception $_e)
-        { $env->message =
-           "Impossible d'executer les requetes du fichier init.sql (flag ".$flag.")"
-          ."<br>V&eacute;rifiez que vous avez indiqu&eacute; les bon param&egrave;tres de connection &agrave la base de donn&eacute;es";
-          return;
-        }
+        catch(Exception $_e) { $env->message = "Impossible d'executer les requetes du fichier init.sql"; return; }
       }
       else $env->message .=
@@ -215,10 +191,10 @@
       ."<br/>v&eacute;rifiez que vous avez bien upload&eacute; tous les fichiers";
     }
-    catch(Exception $_e) { $env->message .= "impossible d'acc&eacute;der &agrave; la base de donn&eacute;es"; }
+    catch(Exception $_e) { $env->message .= "<br/>impossible d'acc&eacute;der &agrave; la base de donn&eacute;es"; }
   }
 
   function clear_pun_cache()
   { if(is_dir("../punbb/cache/") && ($dh = opendir("../punbb/cache/")))
-    { while(($file = readdir($dh)) !== false) if(strpos($file, "cache_") === 0) @unlink("../punbb/cache/".$file);
+    { while(($file = readdir($dh)) !== false) if(strpos($file, "cache_") === 0 && $file !== "cache_smilies.php") @unlink("../punbb/cache/".$file);
       closedir($dh);
     }
